## admesh 0.96

=== CMakeLists.txt ===
PROJECT(admesh C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

INCLUDE(GNUInstallDirs)
#===========================================================
IF(NOT(CMAKE_C_FLAGS))
  SET(CMAKE_BUILD_TYPE Release)
  SET(CMAKE_C_FLAGS  "-Wall -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2")
ENDIF (NOT(CMAKE_C_FLAGS))
#===========================================================
FIND_LIBRARY(M_LIB m)
#===========================================================
ADD_EXECUTABLE(admesh admesh.c connect.c stl_io.c stlinit.c util.c normals.c shared.c)
TARGET_LINK_LIBRARIES(admesh ${M_LIB})
INSTALL(TARGETS admesh DESTINATION ${CMAKE_INSTALL_BINDIR})
#===========================================================
INSTALL(FILES ADMESH.DOC block.stl DESTINATION ${CMAKE_INSTALL_DOCDIR})
INSTALL(FILES admesh.1 DESTINATION ${CMAKE_INSTALL_MANDIR})
#===========================================================

## admesh 0.95

=== debian/changelog ===
admesh (0.95-9) unstable; urgency=low

  * Removed debian-changes-0.95-8 patch

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 08 Jan 2011 17:16:48 +0100

admesh (0.95-8) unstable; urgency=low

  * Rewritten debian/rules hopefully closes: #436373
  * Applied patch from Bilal Akhtar <bilalakhtar@ubuntu.com>, 
    added fclose at the end of stl_print_neighbors function (closes: #597159)
  * New maintainer (closes: #576168)
  * Switch to dpkg-source 3.0 (quilt) format
  * Updating and cleaning debian/rules, debian/copyright and debian/control

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 04 Jan 2011 21:04:28 +0100

admesh (0.95-7) unstable; urgency=low

  * New maintainer (closes: #297345)

 -- Víctor Pérez Pereira <vperez@debianvenezuela.org>  Sun, 27 Feb 2006 12:22:09 -0400

admesh (0.95-6) unstable; urgency=low

  * Orphan as in bug #297345

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  5 Mar 2005 02:48:28 -0700

admesh (0.95-5) unstable; urgency=low

  * New maintainer
  * Update standards version

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 18 Feb 2003 22:30:12 -0700

admesh (0.95-4) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 14:03:51 +0100

admesh (0.95-3) unstable; urgency=low

  * New maintainer. (closes: #68300)
  * Updated the upstream location in debian/copyright.
  * /usr/doc -> /usr/share/doc
  * /usr/man -> /usr/share/man
  * Added "-isp" to dpkg-gencontrol in debian/rules.
  * strip better when installing the binary.
  * Standards-Version: 3.1.1  (no changes needed)

 -- Adrian Bunk <bunk@fs.tum.de>  Thu,  1 Feb 2001 20:12:54 +0100

admesh (0.95-2) unstable; urgency=low

  * Maintainer set to Debian QA Group.
  * Removed README.debian.
  * Removed the emacs config directives from debian/changelog.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 22 Dec 2000 15:46:43 +0100

admesh (0.95-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue, 29 Sep 1998 19:10:01 -0700

=== debian/control ===
Source: admesh
Section: math
Priority: optional
Maintainer: Anton Gladky <gladky.anton@gmail.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://www.varlog.com/products/admesh/

Package: admesh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: geomview | vrml-browser
Description: a tool for processing triangulated solid meshes
 Currently, ADMesh only reads the STL file
 format that is used for rapid prototyping applications,
 although it can write STL, VRML, OFF, and DXF files.
 Some features of admesh are: Fill holes in the mesh
 by adding facets. Repair facets by connecting
 nearby facets. Repair normal directions
 (i.e. facets should be CCW) Remove degenerate
 facets (i.e. facets with 2 or more vertices equal)

=== debian/rules ===
#!/usr/bin/make -f
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
package=admesh

build:
	dh_testdir
	./configure
	make CC=$(CC) CFLAGS="-I. -g  -O2 -Wall -Wno-implicit"

clean:
	dh_testdir
	dh_clean
	[ ! -f Makefile ] || $(MAKE) clean

binary-indep:
	dh_testdir

binary-arch: 
	dh_testdir
	dh_installdeb 
	dh_installdirs
	dh_testroot
	dh_install $(package) /usr/bin
	dh_installdocs ADMESH.DOC 
	dh_installchangelogs
	dh_installman debian/admesh.1
	chmod 0644 *.stl
	dh_installexamples *.stl
	dh_compress
	dh_shlibdeps
	dh_gencontrol
	dh_strip
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

=== debian/watch ===
version=3
https://sites.google.com/a/varlog.com/www/admesh-(.+).tar.gz

## admesh 0.96

=== debian/changelog ===
admesh (0.96-1) unstable; urgency=low

  * [93ad0d4] Recommend gmsh and paraview.
  * [bbe1916] Imported Upstream version 0.96
  * [6937c79] Update patches, remove, applied by upstream.
  * [f3f4663] Changes in debian-files due to upstream migration to cmake.
  * [3a0021e] Update regression tests.
  * [a5f8197] Do not install docs at install-stage.
  * [dcbf772] Use canonical VCS.

 -- Anton Gladky <gladk@debian.org>  Wed, 03 Jul 2013 20:03:08 +0200

admesh (0.95-14) unstable; urgency=low

  * [8ecea20] Remove obsolete DM-Upload flag.
  * [90ceb45] Add parallel option to dh.
  * [4bf48ae] Add admesh.manpages.
  * [a16f06a] Use autoreconf.
  * [4293f10] Clean debian/rules.

 -- Anton Gladky <gladk@debian.org>  Sun, 05 May 2013 19:53:10 +0200

admesh (0.95-13~exp1) experimental; urgency=low

  * [350585a] Use dh 9.
  * [e99cce9] Update copyright file.
  * [aa49af9] Bump Standards-Version: 3.9.4. No changes.

 -- Anton Gladky <gladk@debian.org>  Sat, 09 Feb 2013 17:00:10 +0100

admesh (0.95-12) unstable; urgency=low

  * [70d51d3] Update watch file. Thanks to Ólafur Jens Sigurðsson.
  * [b6b9592] Use Standards-Version: 3.9.3. No changes.
  * [03e49ba] Use compat-level 8.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 15 Apr 2012 21:14:54 +0200

admesh (0.95-11) unstable; urgency=low

  * [7ead55b] Change Section to "math", Priority to "optional"
  * [839f76f] Fixed watch file
  * [6b94966] Updated a homepage
  * [9ccf0df] Switch to Standards-Version: 3.9.2 (no changes)
  * [b80053f] Small typo in description
  * [f4cd934] Simplify debian/rules, dh 7
  * [8e4f677] Fix regression test (due to debian/rules update)

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 24 May 2011 18:53:38 +0200

admesh (0.95-10) unstable; urgency=low

  * Added forgotten line "Files: *" in debian/copyright
  * Regression test is added to check admesh functionality after building
  * debian/control is changed according to Debian Science Policy

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 05 Feb 2011 15:32:16 +0100

=== debian/control ===
Source: admesh
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.4
Homepage: https://launchpad.net/admesh/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/admesh.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/admesh.git

Package: admesh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: geomview, gmsh, paraview
Description: Tool for processing triangulated solid meshes
 Currently, ADMesh only reads the STL file
 format that is used for rapid prototyping applications,
 although it can write STL, VRML, OFF, and DXF files.
 Some features of admesh are: Fill holes in the mesh
 by adding facets. Repair facets by connecting
 nearby facets. Repair normal directions
 (i.e. facets should be CCW) Remove degenerate
 facets (i.e. facets with 2 or more vertices equal)

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --parallel --builddirectory=build

override_dh_auto_test:
	chmod +x ./regression_test/regression_test;
	./regression_test/regression_test

=== debian/watch ===
version=3
http://launchpad.net/admesh/+download https://launchpad.net/admesh/.*/.*/.*/admesh-(.+)\.tar\.gz

## admesh 0.98.0

=== debian/changelog ===
admesh (0.98.0-1) unstable; urgency=medium

  * [74b6117] Imported Upstream version 0.98.0
  * [e024618] Refresh regression tests.

 -- Anton Gladky <gladk@debian.org>  Wed, 06 Aug 2014 22:45:43 +0200

admesh (0.97.3~git~3518914-1) unstable; urgency=medium

  * [171e567] Imported Upstream version 0.97.3~git~3518914
  * [ac88834] Remove old patch.
  * [2a8af4e] Update regression test.
  * [7edae5f] Use autoreconf.
  * [7b699ba] Update copyright.
  * [0a4fbaa] Set Standards-Version: 3.9.5. No changes.
  * [eb7f6b3] Change homepage of admesh to GitHub.
  * [81f7590] Add libadmesh1, libadmesh-dev and libadmesh1-dbg binaries.
  * [9350e91] Update debian/watch.
  * [d0719ec] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Fri, 09 May 2014 23:05:05 +0200

=== debian/control ===
Source: admesh
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.5
Homepage: https://github.com/admesh/admesh
Vcs-Git: git://anonscm.debian.org/debian-science/packages/admesh.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/admesh.git
XS-Testsuite: autopkgtest

Package: admesh
Architecture: any
Depends:
 libadmesh1 (= ${binary:Version}), 
 ${misc:Depends},
 ${shlibs:Depends} 
Recommends: geomview, gmsh, paraview
Description: Tool for processing triangulated solid meshes. Binary
 Currently, ADMesh only reads the STL file
 format that is used for rapid prototyping applications,
 although it can write STL, VRML, OFF, and DXF files.
 Some features of admesh are: Fill holes in the mesh
 by adding facets. Repair facets by connecting
 nearby facets. Repair normal directions
 (i.e. facets should be CCW) Remove degenerate
 facets (i.e. facets with 2 or more vertices equal)

Package: libadmesh1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Description: Tool for processing triangulated solid meshes. Shared library
 Currently, ADMesh only reads the STL file
 format that is used for rapid prototyping applications,
 although it can write STL, VRML, OFF, and DXF files.
 Some features of admesh are: Fill holes in the mesh
 by adding facets. Repair facets by connecting
 nearby facets. Repair normal directions
 (i.e. facets should be CCW) Remove degenerate
 facets (i.e. facets with 2 or more vertices equal)
 .
 The package contains shared library.
 
Package: libadmesh-dev
Architecture: any
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 libadmesh1 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Tool for processing triangulated solid meshes. Development files
 Currently, ADMesh only reads the STL file
 format that is used for rapid prototyping applications,
 although it can write STL, VRML, OFF, and DXF files.
 Some features of admesh are: Fill holes in the mesh
 by adding facets. Repair facets by connecting
 nearby facets. Repair normal directions
 (i.e. facets should be CCW) Remove degenerate
 facets (i.e. facets with 2 or more vertices equal)
 .
 The package contains development files.
 
Package: libadmesh1-dbg
Architecture: any
Section: debug
Priority: extra
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 libadmesh1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Tool for processing triangulated solid meshes.  Debugging symbols
 Currently, ADMesh only reads the STL file
 format that is used for rapid prototyping applications,
 although it can write STL, VRML, OFF, and DXF files.
 Some features of admesh are: Fill holes in the mesh
 by adding facets. Repair facets by connecting
 nearby facets. Repair normal directions
 (i.e. facets should be CCW) Remove degenerate
 facets (i.e. facets with 2 or more vertices equal)
 .
 The package contains debugging symbols.

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/admesh/admesh/tags .*/(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## admesh 0.98.1

=== debian/changelog ===
admesh (0.98.1-1) unstable; urgency=medium

  * [f93ebbd] Imported Upstream version 0.98.1
  * [c310a10] Refresh patches.
  * [ebfc81d] Set Standards-Version: 3.9.6. No changes.
  * [4e7f02d] Use wrap-and-sort.

 -- Anton Gladky <gladk@debian.org>  Mon, 29 Sep 2014 01:01:27 +0200

admesh (0.98.0-2) unstable; urgency=medium

  * [57fad27] Fix watch-file.
  * [bdceb0c] Add python-admesh and python3-admesh to Recommends of Admesh.

 -- Anton Gladky <gladk@debian.org>  Sat, 06 Sep 2014 10:33:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.5
+Uploaders:
+ Anton Gladky <gladk@debian.org>
+Build-Depends:
+ debhelper (>= 9),
+ dh-autoreconf
+Standards-Version: 3.9.6
 Homepage: https://github.com/admesh/admesh
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/admesh.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/admesh.git
@@ -13,10 +16,15 @@
 Package: admesh
 Architecture: any
 Depends:
- libadmesh1 (= ${binary:Version}), 
+ libadmesh1 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends} 
-Recommends: geomview, gmsh, paraview
+ ${shlibs:Depends}
+Recommends:
+ geomview,
+ gmsh,
+ paraview,
+ python-admesh,
+ python3-admesh
 Description: Tool for processing triangulated solid meshes. Binary
  Currently, ADMesh only reads the STL file
  format that is used for rapid prototyping applications,
@@ -27,26 +35,6 @@
  (i.e. facets should be CCW) Remove degenerate
  facets (i.e. facets with 2 or more vertices equal)
 
-Package: libadmesh1
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
-Pre-Depends:
- ${misc:Pre-Depends}
-Multi-Arch: same
-Description: Tool for processing triangulated solid meshes. Shared library
- Currently, ADMesh only reads the STL file
- format that is used for rapid prototyping applications,
- although it can write STL, VRML, OFF, and DXF files.
- Some features of admesh are: Fill holes in the mesh
- by adding facets. Repair facets by connecting
- nearby facets. Repair normal directions
- (i.e. facets should be CCW) Remove degenerate
- facets (i.e. facets with 2 or more vertices equal)
- .
- The package contains shared library.
- 
 Package: libadmesh-dev
 Architecture: any
 Section: libdevel
@@ -69,7 +57,27 @@
  facets (i.e. facets with 2 or more vertices equal)
  .
  The package contains development files.
- 
+
+Package: libadmesh1
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
+Multi-Arch: same
+Description: Tool for processing triangulated solid meshes. Shared library
+ Currently, ADMesh only reads the STL file
+ format that is used for rapid prototyping applications,
+ although it can write STL, VRML, OFF, and DXF files.
+ Some features of admesh are: Fill holes in the mesh
+ by adding facets. Repair facets by connecting
+ nearby facets. Repair normal directions
+ (i.e. facets should be CCW) Remove degenerate
+ facets (i.e. facets with 2 or more vertices equal)
+ .
+ The package contains shared library.
+
 Package: libadmesh1-dbg
 Architecture: any
 Section: debug

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_test:
	chmod +x ./regression_test/regression_test;
	./regression_test/regression_test

override_dh_strip:
	dh_strip --dbg-package=libadmesh1-dbg

## admesh 0.98.2

=== debian/changelog ===
admesh (0.98.2-2) unstable; urgency=medium

  * [9cfdaed] Fix regression test.

 -- Anton Gladky <gladk@debian.org>  Mon, 14 Sep 2015 18:11:28 +0200

admesh (0.98.2-1) unstable; urgency=medium

  * [ed0f38a] Imported Upstream version 0.98.2
  * [3527ed1] Apply cme fix dpkg-control.
  * [bcf5ffa] Update d/copyright.

 -- Anton Gladky <gladk@debian.org>  Thu, 13 Aug 2015 20:17:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,26 @@
 Source: admesh
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: math
+Testsuite: autopkgtest
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders:
- Anton Gladky <gladk@debian.org>
-Build-Depends:
- debhelper (>= 9),
- dh-autoreconf
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf
 Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/admesh.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/admesh.git
 Homepage: https://github.com/admesh/admesh
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/admesh.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/admesh.git
-XS-Testsuite: autopkgtest
 
 Package: admesh
 Architecture: any
-Depends:
- libadmesh1 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- geomview,
- gmsh,
- paraview,
- python-admesh,
- python3-admesh
+Depends: libadmesh1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: geomview,
+            gmsh,
+            paraview,
+            python-admesh,
+            python3-admesh
 Description: Tool for processing triangulated solid meshes. Binary
  Currently, ADMesh only reads the STL file
  format that is used for rapid prototyping applications,
@@ -37,15 +33,13 @@
 
 Package: libadmesh-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Pre-Depends:
- ${misc:Pre-Depends}
-Multi-Arch: same
-Depends:
- libadmesh1 (= ${binary:Version}),
- pkg-config,
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: libadmesh1 (= ${binary:Version}),
+         pkg-config,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Tool for processing triangulated solid meshes. Development files
  Currently, ADMesh only reads the STL file
  format that is used for rapid prototyping applications,
@@ -60,12 +54,10 @@
 
 Package: libadmesh1
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
-Pre-Depends:
- ${misc:Pre-Depends}
 Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Tool for processing triangulated solid meshes. Shared library
  Currently, ADMesh only reads the STL file
  format that is used for rapid prototyping applications,
@@ -80,15 +72,13 @@
 
 Package: libadmesh1-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
 Priority: extra
-Pre-Depends:
- ${misc:Pre-Depends}
-Multi-Arch: same
-Depends:
- libadmesh1 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: libadmesh1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Tool for processing triangulated solid meshes.  Debugging symbols
  Currently, ADMesh only reads the STL file
  format that is used for rapid prototyping applications,

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_test:
	./debian/regression_test/regression_test

override_dh_strip:
	dh_strip --dbg-package=libadmesh1-dbg

## admesh 0.98.3

=== debian/changelog ===
admesh (0.98.3-3) unstable; urgency=medium

  [ Chow Loong Jin ]
  * [61493f8] Fix big-endian binary stl reading. (Closes: #877392)

  [ Anton Gladky ]
  * [83f0352] Move all recommends to suggests. (Closes: #886570)

  [ Helmut Grohne ]
  * [d7ebaae] Fix running tests on cross-platform builds. (Closes: #883114)

 -- Anton Gladky <gladk@debian.org>  Fri, 28 Sep 2018 18:29:33 +0200

admesh (0.98.3-2) unstable; urgency=medium

  [ Graham Inggs ]
  * [deb03ba] Fix autopkgtests. (Closes: #876411)

  [ Anton Gladky ]
  * [7706a6b] Set Standards-Version: 4.1.1
  * [6beb46f] Remove obsolete Testsuite-field in d/control

 -- Anton Gladky <gladk@debian.org>  Sat, 25 Nov 2017 14:16:13 +0100

admesh (0.98.3-1) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Sat, 15 Jul 2017 16:14:55 +0200

admesh (0.98.3-1~exp1) experimental; urgency=medium

  * [0f11e9f] Switch compat level to 10.
  * [5a29abe] Update etalon for regression test.
  * [55ef2a1] New upstream version 0.98.3
  * [5fe952c] Use hardening=+all option.

 -- Anton Gladky <gladk@debian.org>  Fri, 19 May 2017 12:44:06 +0200

admesh (0.98.2-3) unstable; urgency=medium

  * [1bb35b8] Apply cme fix dpkg.
  * [db6669e] Drop -dbg-package.

 -- Anton Gladky <gladk@debian.org>  Fri, 26 Aug 2016 22:53:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: math
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/admesh.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/admesh.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/admesh.git
 Homepage: https://github.com/admesh/admesh
 
 Package: admesh
@@ -16,7 +15,7 @@
 Depends: libadmesh1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: geomview,
+Suggests: geomview,
             gmsh,
             paraview,
             python-admesh,
@@ -69,24 +68,3 @@
  facets (i.e. facets with 2 or more vertices equal)
  .
  The package contains shared library.
-
-Package: libadmesh1-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: libadmesh1 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Description: Tool for processing triangulated solid meshes.  Debugging symbols
- Currently, ADMesh only reads the STL file
- format that is used for rapid prototyping applications,
- although it can write STL, VRML, OFF, and DXF files.
- Some features of admesh are: Fill holes in the mesh
- by adding facets. Repair facets by connecting
- nearby facets. Repair normal directions
- (i.e. facets should be CCW) Remove degenerate
- facets (i.e. facets with 2 or more vertices equal)
- .
- The package contains debugging symbols.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
override_dh_auto_test:
	./debian/regression_test/regression_test
endif

## admesh 0.98.4

=== debian/changelog ===
admesh (0.98.4-1) unstable; urgency=medium

  * [afe9afe] Set compat-level 12
  * [da4e95f] Set Standards-Version: 4.4.1
  * [ffecc04] Set upstream metadata fields: Bug-Database, Repository,
              Repository-Browse.
  * [8815893] Fix day-of-week for changelog entry 0.95-7.
  * [c5c4b2b] New upstream version 0.98.4
  * [839fe49] Remove patch, applied by upstream
  * [51798fb] Fix regression test
  * [93aa354] Fix section for libadmesh1

 -- Anton Gladky <gladk@debian.org>  Thu, 02 Jan 2020 20:50:15 +0100

admesh (0.98.3-4) unstable; urgency=medium

  * [87676aa] Trim trailing whitespace.
  * [37784f5] Drop unnecessary dependency on dh-autoconf.
  * [3cd3381] Use compat level 12

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Jul 2019 22:47:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               dh-autoreconf
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/admesh.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/admesh.git
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/science-team/admesh
+Vcs-Git: https://salsa.debian.org/science-team/admesh.git
 Homepage: https://github.com/admesh/admesh
 
 Package: admesh
@@ -16,10 +15,10 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: geomview,
-            gmsh,
-            paraview,
-            python-admesh,
-            python3-admesh
+          gmsh,
+          paraview,
+          python-admesh,
+          python3-admesh
 Description: Tool for processing triangulated solid meshes. Binary
  Currently, ADMesh only reads the STL file
  format that is used for rapid prototyping applications,
@@ -53,6 +52,7 @@
 
 Package: libadmesh1
 Architecture: any
+Section: libs
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 override_dh_auto_test:

=== debian/tests/control ===
Tests: regression build
Depends: admesh, libadmesh-dev, build-essential

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/admesh/admesh/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## admesh 0.98.5

=== debian/changelog ===
admesh (0.98.5-1) unstable; urgency=medium

  * [ef01e87] Remove old patch
  * [bbf8103] New upstream version 0.98.5
  * [7fe7dec] Remove wrong dep python-admesh.
              Set Standards-Versions: 4.6.2
  * [e0a2ee2] Trim trailing whitespace.
  * [0d44880] Update watch file format version to 4.
  * [2953c05] Set upstream metadata fields: Bug-Submit.

 -- Anton Gladky <gladk@debian.org>  Sun, 17 Sep 2023 12:52:27 +0200

admesh (0.98.4-2) unstable; urgency=medium

  * [936e108] Add .gitlab-ci.yml
  * [d63513a] Set Standards-Version 4.6.0.
              Set Compat-level 13
  * [251cd64] Do not install some files.
  * [8c66e24] CVE-2018-25033: Fix heap buffer overflow in
              stl_update_connects_remove_1. (Closes: #1010770)

 -- Anton Gladky <gladk@debian.org>  Tue, 17 May 2022 23:07:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/admesh
 Vcs-Git: https://salsa.debian.org/science-team/admesh.git
 Homepage: https://github.com/admesh/admesh
@@ -17,7 +17,6 @@
 Suggests: geomview,
           gmsh,
           paraview,
-          python-admesh,
           python3-admesh
 Description: Tool for processing triangulated solid meshes. Binary
  Currently, ADMesh only reads the STL file
@@ -52,8 +51,8 @@
 
 Package: libadmesh1
 Architecture: any
+Multi-Arch: same
 Section: libs
-Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// https://github.com/admesh/admesh/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
